<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_sanitize_6100.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_legalese" >
        <xsl:variable name='copy_legalese' select="//form//div[@class='copy_legalese']" />
        <xsl:if test="$copy_legalese">
            , {
            "type" : "fieldset",
            "fields": [
            <xsl:for-each select="$copy_legalese//input">
                {
                "display_name" : "<xsl:call-template name="tpl_sanitize"><xsl:with-param name="text" select="parent::label//preceding-sibling::div//span"/></xsl:call-template>",
                "name" : "<xsl:value-of select="@name" />",
                "value" : "<xsl:value-of select="@value"/>",
                <xsl:if test="@value=''">
                    "autofillable" : true,
                </xsl:if>
                "type" :  "<xsl:value-of select="@type"/>"
                }
                <xsl:if test="position()!=last()">,</xsl:if>
            </xsl:for-each>
            ]
            }
        </xsl:if>
        
    </xsl:template>

</xsl:stylesheet>
