<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:str="http://exslt.org/strings"
    extension-element-prefixes="str">

    <xsl:import href="tpl_post_common.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_license" >
        <xsl:variable name='has_license_input' select="//form//input[@name='has_license']" />
        <xsl:if test="$has_license_input">
            {
            "type" : "fieldset",
            "fields": [
            <xsl:call-template name="post_radio_definition">
                <xsl:with-param name="radio_x_path" select="$has_license_input"/>
                <xsl:with-param name="radio_names" select="$has_license_input//parent::label"/>
            </xsl:call-template>,
            {
            "display_name" : "license info",
            <xsl:call-template name="post_input_base_definition">
                <xsl:with-param name="input" select="//form//input[@name='license_info']"/>
            </xsl:call-template>,
            "required": true,
            "placeholder": "<xsl:value-of select="//span[@id='licdet']" />"
            }
            ]
            }
        </xsl:if>
        
    </xsl:template>

</xsl:stylesheet>
