<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_post_common.xsl" />

    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_resumes_availability" >
        <xsl:variable name='resumes_availability_fieldset' select="//form//fieldset[contains(@class,'resumes_availability')]" />
        {
        "type" : "fieldset",
        "display_name": "<xsl:value-of select="$resumes_availability_fieldset//legend"/>",
        "fields": [
        <xsl:for-each select="$resumes_availability_fieldset//input[@type='checkbox']">
            {
            "display_name" : "<xsl:call-template name="post_display_name"><xsl:with-param name="display_name" select="parent::label//preceding-sibling::div//span" /><xsl:with-param name="name" select="@name" /></xsl:call-template>",
            <xsl:call-template name="post_input_checkbox_definition">
                <xsl:with-param name="input" select="."/>
            </xsl:call-template>
            }
            <xsl:if test="position()!=last()">,</xsl:if>
        </xsl:for-each>
        ]
        }
    </xsl:template>

</xsl:stylesheet>
