<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:import href="tpl_sanitize_6100.xsl"/>

    <xsl:output method="text"/>

    <!--transform CCPostFormData-->
    <xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="post_thx_panel" match="/">
    {
        <xsl:variable name="error" select="//div[contains(@class, 'error')]/p"/>
        <xsl:if test="$error">
            "error": "<xsl:call-template name="tpl_sanitize"> <xsl:with-param name="text" select="$error"/> </xsl:call-template>",
        </xsl:if>
        "message": "<xsl:for-each select="//div[@class='account-thanks-panel']/div[contains(@class,'alert-success')]">
                        <xsl:for-each select="./p">
                            <xsl:choose>
                                <xsl:when test="position()!=last()"><xsl:value-of select="concat(normalize-space(.),'\n')"/></xsl:when>
                                <xsl:otherwise><xsl:value-of select="normalize-space(.)"/></xsl:otherwise>
                            </xsl:choose>
                        </xsl:for-each>
                    </xsl:for-each>"
    }
    </xsl:template>

</xsl:stylesheet>
