window.hideElementsByTagName = function(name) {
    var elements = document.getElementsByTagName(name);
    for (var i = 0; i < elements.length; ++i) {
        elements[i].style.display = 'none';
    }
};
hideElementsByTagName('div');
hideElementsByTagName('header');
hideElementsByTagName('section');

var MutationObserver = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver;

var bodyDiv = document.getElementById('postingbody');
var prevText = bodyDiv.innerHTML;

window.bodyDivObserver = new MutationObserver(function(mutations) {
    mutations.forEach(function(mutation) {
        if (mutation.type === 'childList') {
			var lbcontent = document.getElementsByClassName('lbcontent')[0];
			if (lbcontent) {
				window.bodyDivObserver.disconnect();

                window.errorObserver = new MutationObserver(function(mutations) {
                    mutations.forEach(function(mutation) {
                        if (mutation.type === 'childList') {
							window.bodyDivObserver.disconnect();
							if (prevText !== bodyDiv.innerHTML) {
								if (mutation.target.className === 'reply-tel') {
									captchaSolved(document.documentElement.innerHTML);
								}
				            } else if (mutation.target.className === 'lbcontent') {
				            	captchaError('An error has occurred')
				            }
                        }
                    });
                });

                window.errorObserver.observe(document.body, { childList: true, subtree: true });
			}
        }
    });
});

window.bodyDivObserver.observe(document.body, { childList: true });

var showContactInfoLink = document.getElementsByClassName('show-contact')[0];
if (showContactInfoLink) {
    showContactInfoLink.click();
} else {
    captchaError("Show contact info link doesn't exist");
}

function captchaSolved(response) {
    if (captchaSolved.done) return;;
    recaptchaBridge.captchaSolved(response);
    captchaSolved.done = true;
}

function captchaError(error) {
    if (captchaError.done) return;
    recaptchaBridge.captchaError(error);
    captchaError.done = true;
}